Skip to main content
GET
/
api
/
v1
/
webhooks
List Webhook Endpoints
curl --request GET \
  --url https://api.usenexio.com/api/v1/webhooks \
  --header 'Authorization: Bearer <token>'
{
  "endpoints": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "url": "https://api.example.com/nexio/webhooks",
      "environment": "live",
      "events": [
        "run.completed",
        "run.failed"
      ],
      "description": "Production callback",
      "active": true,
      "auth_token_configured": true,
      "webhook_version": "2026-03-22",
      "created_at": "2026-03-22T12:00:00Z",
      "updated_at": "2026-03-22T12:00:00Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key with environment prefix. Use nx_test_... for sandbox and nx_live_... for production. Obtain keys at platform.usenexio.com/settings/api-keys.

Response

List of webhook endpoints.

endpoints
object[]
required